From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org
Subject: [PATCH 1/3] test: add known broken test exit code of notmuch show
Date: Thu, 23 Jan 2014 08:23:59 -0400 [thread overview]
Message-ID: <1390479841-17045-2-git-send-email-david@tethera.net> (raw)
In-Reply-To: <1390479841-17045-1-git-send-email-david@tethera.net>
This test catches a segfault on a syntactically invalid query. It also
catches a problem with my initial fix, which still returned 0.
---
test/T520-show.sh | 14 ++++++++++++++
1 file changed, 14 insertions(+)
create mode 100755 test/T520-show.sh
diff --git a/test/T520-show.sh b/test/T520-show.sh
new file mode 100755
index 0000000..bdd9d71
--- /dev/null
+++ b/test/T520-show.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+test_description='"notmuch show"'
+
+. ./test-lib.sh
+
+add_email_corpus
+
+test_begin_subtest "exit code for show invalid query"
+test_subtest_known_broken
+notmuch show foo..
+exit_code=$?
+test_expect_equal 1 $exit_code
+
+test_done
--
1.8.5.2
next prev parent reply other threads:[~2014-01-23 12:24 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-01-22 2:27 segfault if notmuch-show query has spurious .. (w/ v0.17) Sanjoy Mahajan
2014-01-22 12:40 ` David Bremner
2014-01-22 16:42 ` [PATCH] lib: make notmuch_threads_valid return FALSE when passed NULL David Bremner
2014-01-22 17:30 ` Tomi Ollila
2014-01-23 12:23 ` Round 2: fix for notmuch show segfault David Bremner
2014-01-23 12:23 ` David Bremner [this message]
2014-01-23 12:24 ` [PATCH 2/3] lib: make notmuch_threads_valid return FALSE when passed NULL David Bremner
2014-01-24 21:06 ` Jani Nikula
2014-01-23 12:24 ` [PATCH 3/3] notmuch-show: detect xapian exception in query David Bremner
2014-01-24 21:12 ` Jani Nikula
2014-01-25 0:41 ` David Bremner
2014-01-23 17:50 ` Round 2: fix for notmuch show segfault Mark Walters
2014-01-24 18:43 ` Tomi Ollila
2014-01-25 1:01 ` segfault if notmuch-show query has spurious .. (w/ v0.17) David Bremner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: https://notmuchmail.org/
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1390479841-17045-2-git-send-email-david@tethera.net \
--to=david@tethera.net \
--cc=notmuch@notmuchmail.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://yhetil.org/notmuch.git/
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).